- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# availableList_s Struct Reference
[RPMDEP.]

Set of available packages, items, and directories. More...

`#include <depends.h>`

## Data Fields
availablePackage * | list
availableIndex | index
int | delta
int | size
int | alloced
int | numDirs
dirInfo | dirs

## Detailed Description

Set of available packages, items, and directories.

Definition at line 108 of file depends.h.

## Field Documentation

struct availablePackage* availableList_s::list`[read]`

Set of packages.

Definition at line 109 of file depends.h.

Referenced by addRelation(), alAddPackage(), alAllFileSatisfiesDepend(), alCreate(), alFree(), alMakeIndex(), rpmdepCheck(), rpmdepOrder(), rpmInstallSourcePackage(), rpmRunTransactions(), rpmtransAddPackage(), rpmtransGetKeys(), and tsGetAlp().

struct availableIndex availableList_s::index`[read]`

Set of available items.

Definition at line 110 of file depends.h.

Referenced by alAllSatisfiesDepend(), alCreate(), alFreeIndex(), and alMakeIndex().

int availableList_s::delta

Delta for pkg list reallocation.

Definition at line 111 of file depends.h.

Referenced by alAddPackage(), and alCreate().

int availableList_s::size

No. of pkgs in list.

Definition at line 112 of file depends.h.

Referenced by alAddPackage(), alCreate(), alFree(), alMakeIndex(), rpmdepCheck(), rpmdepOrder(), and rpmRunTransactions().

int availableList_s::alloced

No. of pkgs allocated for list.

Definition at line 113 of file depends.h.

Referenced by alAddPackage(), and alCreate().

int availableList_s::numDirs

No. of directories.

Definition at line 114 of file depends.h.

Referenced by alAllFileSatisfiesDepend(), and alCreate().

dirInfo availableList_s::dirs

Set of directories.

Definition at line 115 of file depends.h.

Referenced by alAllFileSatisfiesDepend(), and alCreate().

The documentation for this struct was generated from the following file:

- lib/depends.h